var $AdfDhtmlQuickQueryPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlQuickQueryPeer");
$goog$exportSymbol$$("AdfDhtmlQuickQueryPeer", $AdfDhtmlQuickQueryPeer$$);
$AdfDhtmlQuickQueryPeer$$.$InitSubclass$ = function $$AdfDhtmlQuickQueryPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_UP_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_DOWN_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_PRESS_EVENT_TYPE$);
  this.$_SEARCH_ICON_ID$ = "search_icon";
};
$goog$exportSymbol$$("AdfDhtmlQuickQueryPeer.InitSubclass", $AdfDhtmlQuickQueryPeer$$.$InitSubclass$);
$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlQuickQueryPeer$$$$$HandleComponentClick$$($componentEvent$$416_target$$172$$) {
  if ($componentEvent$$416_target$$172$$.$isLeftButtonPressed$()) {
    var $component$$1910$$ = this.$getComponent$();
    $componentEvent$$416_target$$172$$ = $componentEvent$$416_target$$172$$.$getNativeEventTarget$();
    var $searchId$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$1910$$.$getClientId$(), $AdfDhtmlQuickQueryPeer$$.$_SEARCH_ICON_ID$);
    ($componentEvent$$416_target$$172$$.id == $searchId$$2$$ || $componentEvent$$416_target$$172$$.parentNode && $componentEvent$$416_target$$172$$.parentNode.id == $searchId$$2$$) && this.$_queueQueryEvent$($component$$1910$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlQuickQueryPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyUp$ = function $$AdfDhtmlQuickQueryPeer$$$$$HandleComponentKeyUp$$($componentEvent$$417$$) {
  this.$_isEnterKeyNotConsumed$($componentEvent$$417$$) && null != $AdfDhtmlFormPeer$$.$__GetDefaultCommandTriggerId$($componentEvent$$417$$, !0) && (this.$_queueQueryEvent$(this.$getComponent$()), $componentEvent$$417$$.cancel());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlQuickQueryPeer.prototype.HandleComponentKeyUp", {$HandleComponentKeyUp$:$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyUp$});
$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyDown$ = function $$AdfDhtmlQuickQueryPeer$$$$$HandleComponentKeyDown$$($componentEvent$$418$$) {
  this.$_isEnterKeyNotConsumed$($componentEvent$$418$$) && $componentEvent$$418$$.cancel();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlQuickQueryPeer.prototype.HandleComponentKeyDown", {$HandleComponentKeyDown$:$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyDown$});
$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyPress$ = function $$AdfDhtmlQuickQueryPeer$$$$$HandleComponentKeyPress$$($componentEvent$$419$$) {
  this.$_isEnterKeyNotConsumed$($componentEvent$$419$$) && $componentEvent$$419$$.cancel();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlQuickQueryPeer.prototype.HandleComponentKeyPress", {$HandleComponentKeyPress$:$AdfDhtmlQuickQueryPeer$$.prototype.$HandleComponentKeyPress$});
$AdfDhtmlQuickQueryPeer$$.prototype.$_isEnterKeyNotConsumed$ = function $$AdfDhtmlQuickQueryPeer$$$$$_isEnterKeyNotConsumed$$($componentEvent$$420$$) {
  return $componentEvent$$420$$.$isCanceled$() || $componentEvent$$420$$.$getKeyCode$() != $AdfKeyStroke$$.$ENTER_KEY$ || null == $AdfDhtmlFormPeer$$.$__GetDefaultCommandTriggerId$($componentEvent$$420$$, !0) ? !1 : !0;
};
$AdfDhtmlQuickQueryPeer$$.prototype.$_queueQueryEvent$ = function $$AdfDhtmlQuickQueryPeer$$$$$_queueQueryEvent$$($component$$1911$$) {
  $AdfQueryUtils$$.$queueQueryEvent$($component$$1911$$);
};
